<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>

        function filterBy(arr, dataType) {

                let filteredArr = [];

                for (let i = 0; i < arr.length; i++) {
                    let currentElem = arr[i];
                    if (typeof currentElem !== dataType) {
                        filteredArr.push(currentElem);
                    }
                }

                return filteredArr;
            }

            let arr = ['hello', 'world', 23, '23', null];
            let filteredArr = filterBy(arr, 'string');
            console.log(filteredArr); 
            
    </script>
</body>
</html>